Page MenuHomePhabricator

Test failure: TypeError: Cannot read property 'item' of undefined
Closed, ResolvedPublic

Description

While running cxserver's end-point test throws error,

Page en:Moon could not be found. TypeError: Cannot read property 'item' of undefined

It can be reproduce with:

  1. cxserver at master commit (6bc3b0adb39e2b775832b69244670e8b32af3825)
  2. Run test with https://localhost:8080/v2?doc#!/Page_content/get_v2_page_sourcelanguage_targetlanguage_title_revision

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 5:15 AM

Change 521416 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Add a null check in TextBlock#getTagForId

https://gerrit.wikimedia.org/r/521416

santhosh triaged this task as Normal priority.Jul 9 2019, 6:05 AM

Change 521416 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add a null check in TextBlock#getTagForId

https://gerrit.wikimedia.org/r/521416

Mentioned in SAL (#wikimedia-operations) [2019-07-22T13:12:21Z] <kart_> Updated cxserver to 2019-07-17-074415-production (T227553, T216812)

Jpita closed this task as Resolved.Jul 24 2019, 1:51 PM
Jpita moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.